1. geko76

    OP geko76 Newbie
    Newcomer

    Joined:
    Dec 30, 2019
    Messages:
    3
    Country:
    Italy
    Hi,
    after years of inactivity, I recovered a DS Lite and a EZFlash IV Lite from the dust.
    I have some questions....

    * The FlashCard has the Kernel 1.73 when I try to update from official EZ Flash site (EZ-FLASH IV MicroSD > EZ4 Kernel 2.05 DOWNLOAD) the flashcard start to update ("Find ezfla_up.bin, update...") but after the reboot, it tries again to update (automatically without "R" pressed), reboot, loop and loop again, what's wrong? :(

    * Is there some "game loader"/"game launcher" compatible with EZ-FLASH IV MicroSD (the goal is not patch the games and use "out-of-the-box")

    Thanks in advance!
     
    Last edited: Dec 31, 2019
  2. EZ-Flash2

    EZ-Flash2 Official EZ-FLASH Stuff
    Member

    Joined:
    Jul 16, 2003
    Messages:
    368
    Country:
    China
    Did you use a 2GB or less MicroSD card? And which is formatted as FAT (FAT16)
     
  3. geko76

    OP geko76 Newbie
    Newcomer

    Joined:
    Dec 30, 2019
    Messages:
    3
    Country:
    Italy
    MicroSD 1GB formatted FAT16
    The only kernel I can flash is the ezfla_up.bin previously backed up from the MicroSD (1.73)
    I already tried to re-format the MicroSD, and leave only ezfla_up.bin file in the root
    If I try to flash any kernel downloaded from the official site (>1.78) I have the same "loop" issue.
    :(
     
    Last edited: Dec 31, 2019
  4. EZ-Flash2

    EZ-Flash2 Official EZ-FLASH Stuff
    Member

    Joined:
    Jul 16, 2003
    Messages:
    368
    Country:
    China
    you can try the historic files of EZ4

    put a prefix "http://www.ezflash.cn/zip/" before the filename. open the official site(passing the cloudflare check), then paste the link.

    I can not recall their version, so you have to try each of them.


    noname.png
     
    alexander1970 likes this.
  5. geko76

    OP geko76 Newbie
    Newcomer

    Joined:
    Dec 30, 2019
    Messages:
    3
    Country:
    Italy
    Thank you for your help, I tried all the kernel in the screenshot, but with the same issue (after flashing and reboot, the card try again to update)
    The only working kernel seems the 1.73
    I've a doubt... the 1.73 was the last kernel out in 2013, in the same year come out the new EZ4 hardware.. are the last kernels compatible with old EZ4 Flash Cards?

    -------

    Update:
    If I boot in GBA mode (select pressed on startup), It works, I see EZFlash menu with 2.05 firmware correctly update.
    If I boot in NDS mode, It starts again the update process (find ezfla_up.bin, update, etc....)
    I go crazy...
     
    Last edited: Jan 4, 2020
  6. EZ-Flash2

    EZ-Flash2 Official EZ-FLASH Stuff
    Member

    Joined:
    Jul 16, 2003
    Messages:
    368
    Country:
    China

    if my memory is correct. The higher version kernel removed NDS mode support which turned EZ4 into a pure GBA flashcard
     
    zfreeman and Deleted-236924 like this.
  7. Localhorst86

    Localhorst86 GBAtemp Addict
    Member

    Joined:
    Jul 17, 2014
    Messages:
    2,192
    Country:
    Germany
    As @EZ-Flash2 has already mentioned, the NDS mode was removed from the kernel starting at verion 1.74 with the release of the EZ-Flash IV microSD - from this version onwards, the card is exclusively a GBA flashcard. But it also shouldn't boot into NDS mode at all, most certainly not by default.

    If you still need NDS mode, you'll have to stick with version 1.73 - if you only care for GBA mode, you should be fine, but we should try to figure out why it's booting into NDS mode.
     
  8. https://wiki.gbatemp.net/wiki/FlashMe
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - EZFlash, Deluxe,